/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */


package es.mpt.dsic.eeutil.client.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for copiaInfoFirma complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="copiaInfoFirma">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="firma" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *         &lt;element name="tipoFirma" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="incluirCSV" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="incluirFirmantes" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="incluirNifFirmantes" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="documentoEnFirma" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="documento" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="idAplicacion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fecha" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="expediente" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="nif" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="urlSede" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tituloAplicacion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tituloCSV" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tituloFecha" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tituloExpediente" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tituloNif" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tituloURL" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="estamparLogo" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="lateral" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "copiaInfoFirma", propOrder = {
    "firma",
    "tipoFirma",
    "incluirCSV",
    "incluirFirmantes",
    "incluirNifFirmantes",
    "documentoEnFirma",
    "documento",
    "idAplicacion",
    "fecha",
    "expediente",
    "nif",
    "urlSede",
    "tituloAplicacion",
    "tituloCSV",
    "tituloFecha",
    "tituloExpediente",
    "tituloNif",
    "tituloURL",
    "estamparLogo",
    "lateral"
})
public class CopiaInfoFirma {

    @XmlElement(required = true)
    protected byte[] firma;
    @XmlElement(required = true)
    protected String tipoFirma;
    protected boolean incluirCSV;
    protected boolean incluirFirmantes;
    protected boolean incluirNifFirmantes;
    protected boolean documentoEnFirma;
    protected byte[] documento;
    protected String idAplicacion;
    protected String fecha;
    protected String expediente;
    protected String nif;
    @XmlElement(defaultValue = "https://sede.mpt.gob.es/acceda/valida/")
    protected String urlSede;
    protected String tituloAplicacion;
    protected String tituloCSV;
    protected String tituloFecha;
    protected String tituloExpediente;
    protected String tituloNif;
    protected String tituloURL;
    protected boolean estamparLogo;
    protected String lateral;

    /**
     * Gets the value of the firma property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getFirma() {
        return firma;
    }

    /**
     * Sets the value of the firma property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setFirma(byte[] value) {
        this.firma = ((byte[]) value);
    }

    /**
     * Gets the value of the tipoFirma property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTipoFirma() {
        return tipoFirma;
    }

    /**
     * Sets the value of the tipoFirma property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTipoFirma(String value) {
        this.tipoFirma = value;
    }

    /**
     * Gets the value of the incluirCSV property.
     * 
     */
    public boolean isIncluirCSV() {
        return incluirCSV;
    }

    /**
     * Sets the value of the incluirCSV property.
     * 
     */
    public void setIncluirCSV(boolean value) {
        this.incluirCSV = value;
    }

    /**
     * Gets the value of the incluirFirmantes property.
     * 
     */
    public boolean isIncluirFirmantes() {
        return incluirFirmantes;
    }

    /**
     * Sets the value of the incluirFirmantes property.
     * 
     */
    public void setIncluirFirmantes(boolean value) {
        this.incluirFirmantes = value;
    }

    /**
     * Gets the value of the incluirNifFirmantes property.
     * 
     */
    public boolean isIncluirNifFirmantes() {
        return incluirNifFirmantes;
    }

    /**
     * Sets the value of the incluirNifFirmantes property.
     * 
     */
    public void setIncluirNifFirmantes(boolean value) {
        this.incluirNifFirmantes = value;
    }

    /**
     * Gets the value of the documentoEnFirma property.
     * 
     */
    public boolean isDocumentoEnFirma() {
        return documentoEnFirma;
    }

    /**
     * Sets the value of the documentoEnFirma property.
     * 
     */
    public void setDocumentoEnFirma(boolean value) {
        this.documentoEnFirma = value;
    }

    /**
     * Gets the value of the documento property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getDocumento() {
        return documento;
    }

    /**
     * Sets the value of the documento property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setDocumento(byte[] value) {
        this.documento = ((byte[]) value);
    }

    /**
     * Gets the value of the idAplicacion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdAplicacion() {
        return idAplicacion;
    }

    /**
     * Sets the value of the idAplicacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdAplicacion(String value) {
        this.idAplicacion = value;
    }

    /**
     * Gets the value of the fecha property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFecha() {
        return fecha;
    }

    /**
     * Sets the value of the fecha property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFecha(String value) {
        this.fecha = value;
    }

    /**
     * Gets the value of the expediente property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExpediente() {
        return expediente;
    }

    /**
     * Sets the value of the expediente property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExpediente(String value) {
        this.expediente = value;
    }

    /**
     * Gets the value of the nif property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNif() {
        return nif;
    }

    /**
     * Sets the value of the nif property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNif(String value) {
        this.nif = value;
    }

    /**
     * Gets the value of the urlSede property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUrlSede() {
        return urlSede;
    }

    /**
     * Sets the value of the urlSede property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUrlSede(String value) {
        this.urlSede = value;
    }

    /**
     * Gets the value of the tituloAplicacion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTituloAplicacion() {
        return tituloAplicacion;
    }

    /**
     * Sets the value of the tituloAplicacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTituloAplicacion(String value) {
        this.tituloAplicacion = value;
    }

    /**
     * Gets the value of the tituloCSV property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTituloCSV() {
        return tituloCSV;
    }

    /**
     * Sets the value of the tituloCSV property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTituloCSV(String value) {
        this.tituloCSV = value;
    }

    /**
     * Gets the value of the tituloFecha property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTituloFecha() {
        return tituloFecha;
    }

    /**
     * Sets the value of the tituloFecha property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTituloFecha(String value) {
        this.tituloFecha = value;
    }

    /**
     * Gets the value of the tituloExpediente property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTituloExpediente() {
        return tituloExpediente;
    }

    /**
     * Sets the value of the tituloExpediente property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTituloExpediente(String value) {
        this.tituloExpediente = value;
    }

    /**
     * Gets the value of the tituloNif property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTituloNif() {
        return tituloNif;
    }

    /**
     * Sets the value of the tituloNif property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTituloNif(String value) {
        this.tituloNif = value;
    }

    /**
     * Gets the value of the tituloURL property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTituloURL() {
        return tituloURL;
    }

    /**
     * Sets the value of the tituloURL property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTituloURL(String value) {
        this.tituloURL = value;
    }

    /**
     * Gets the value of the estamparLogo property.
     * 
     */
    public boolean isEstamparLogo() {
        return estamparLogo;
    }

    /**
     * Sets the value of the estamparLogo property.
     * 
     */
    public void setEstamparLogo(boolean value) {
        this.estamparLogo = value;
    }

    /**
     * Gets the value of the lateral property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLateral() {
        return lateral;
    }

    /**
     * Sets the value of the lateral property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLateral(String value) {
        this.lateral = value;
    }

}
